#
# spec file for package onscripter
#
# Copyright (c) 2016 Packman Team <packman@links2linux.de>
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.links2linux.org/
#


Name:           onscripter
Version:        20160407
Release:        150500.4.pm.4
Summary:        Visual novel games engine compatible to NScripter
License:        GPL-2.0
Group:          Amusements/Games/Other
Url:            http://onscripter.sourceforge.jp/onscripter.html
Source:         http://onscripter.osdn.jp/%{name}-%{version}.tar.gz
Patch0:         onscripter-en.patch
Patch1:         onscripter-avifile-47.patch
Patch2:         onscripter.patch
BuildRequires:  docbook2x
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  pkgconfig(SDL_ttf)
BuildRequires:  pkgconfig(avifile)
BuildRequires:  pkgconfig(bzip2)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(lua)
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(vorbisfile)

%description
ONScripter is a game engine compatible to NScripter, which is used
to create and perform visual novel games.

This package provides patched English version only.

%prep
%autosetup -p1

%build
%make_build -f Makefile.Linux 'EXTRA_CFLAGS=%{optflags}'

%install
mkdir -p %{buildroot}%{_bindir}
install -m 0755 nsaconv %{buildroot}%{_bindir}
install -m 0755 nsadec %{buildroot}%{_bindir}
install -m 0755 onscripter %{buildroot}%{_bindir}
install -m 0755 sarconv %{buildroot}%{_bindir}
install -m 0755 sardec %{buildroot}%{_bindir}
install -m 0755 simple_aviplay %{buildroot}%{_bindir}

%files
%doc README www/ogapee.css www/onscripter.html
%license COPYING
%{_bindir}/*

%changelog
* Sun May 22 2016 aloisio@gmx.com
- Update to version 20160407
- Reworked onscripter-lua.patch
- Spec cleanup
* Fri May 24 2013 i@margueirte.su
- initial version 20130317
  * patch the english patch
  * patch for avifile stuff
  * patch for lua52
